/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Bank information related to this claim
 */
@ApiModel(description = "Bank information related to this claim")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ReimbursementInformation {
  @SerializedName("beneficiary_account")
  private BeneficiaryAccount beneficiaryAccount = null;

  @SerializedName("intermediary_account")
  private IntermediaryAccount intermediaryAccount = null;

  @SerializedName("additional_information")
  private AdditionalInformation additionalInformation = null;

  public ReimbursementInformation beneficiaryAccount(BeneficiaryAccount beneficiaryAccount) {
    this.beneficiaryAccount = beneficiaryAccount;
    return this;
  }

   /**
   * Get beneficiaryAccount
   * @return beneficiaryAccount
  **/
  @ApiModelProperty(required = true, value = "")
  public BeneficiaryAccount getBeneficiaryAccount() {
    return beneficiaryAccount;
  }

  public void setBeneficiaryAccount(BeneficiaryAccount beneficiaryAccount) {
    this.beneficiaryAccount = beneficiaryAccount;
  }

  public ReimbursementInformation intermediaryAccount(IntermediaryAccount intermediaryAccount) {
    this.intermediaryAccount = intermediaryAccount;
    return this;
  }

   /**
   * Get intermediaryAccount
   * @return intermediaryAccount
  **/
  @ApiModelProperty(value = "")
  public IntermediaryAccount getIntermediaryAccount() {
    return intermediaryAccount;
  }

  public void setIntermediaryAccount(IntermediaryAccount intermediaryAccount) {
    this.intermediaryAccount = intermediaryAccount;
  }

  public ReimbursementInformation additionalInformation(AdditionalInformation additionalInformation) {
    this.additionalInformation = additionalInformation;
    return this;
  }

   /**
   * Get additionalInformation
   * @return additionalInformation
  **/
  @ApiModelProperty(value = "")
  public AdditionalInformation getAdditionalInformation() {
    return additionalInformation;
  }

  public void setAdditionalInformation(AdditionalInformation additionalInformation) {
    this.additionalInformation = additionalInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ReimbursementInformation reimbursementInformation = (ReimbursementInformation) o;
    return Objects.equals(this.beneficiaryAccount, reimbursementInformation.beneficiaryAccount) &&
        Objects.equals(this.intermediaryAccount, reimbursementInformation.intermediaryAccount) &&
        Objects.equals(this.additionalInformation, reimbursementInformation.additionalInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(beneficiaryAccount, intermediaryAccount, additionalInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ReimbursementInformation {\n");
    
    sb.append("    beneficiaryAccount: ").append(toIndentedString(beneficiaryAccount)).append("\n");
    sb.append("    intermediaryAccount: ").append(toIndentedString(intermediaryAccount)).append("\n");
    sb.append("    additionalInformation: ").append(toIndentedString(additionalInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

